Bug 10405 - User-editable sections should have ids
Summary: User-editable sections should have ids
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-04 16:47 UTC by Jared Camins-Esakov
Modified: 2014-05-26 21:04 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10405: add IDs for custom regions (8.92 KB, patch)
2013-06-09 20:13 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 10405: add IDs for custom regions (12.11 KB, patch)
2013-06-09 23:07 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10405: add IDs for custom regions (12.18 KB, patch)
2013-06-11 04:01 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
[PASSED QA] Bug 10405: add IDs for custom regions (12.52 KB, patch)
2013-06-16 20:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2013-06-04 16:47:53 UTC
Right now the following user-editable sections do not have css ids:
opacheader
OpacNavBottom
OpacNavRight
OpacSearchForTitleIn
OpacUserCSS
opacuserjs

They should.
Comment 1 Jared Camins-Esakov 2013-06-09 20:13:39 UTC Comment hidden (obsolete)
Comment 2 Jared Camins-Esakov 2013-06-09 23:07:30 UTC Comment hidden (obsolete)
Comment 3 Srdjan Jankovic 2013-06-11 04:01:10 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2013-06-16 16:27:13 UTC
I'd love to test this with the provided javascript, but it doesn't work for me, I get an error about this line:
$('#region-opacuserjs', $('#opac-preview').contents()).replaceWith('<script id="region-opacuserjs" type="text/javascript">' + $('#pref_opacuserjs').val() + '</script>');
Comment 5 Katrin Fischer 2013-06-16 20:07:23 UTC
Created attachment 19051 [details] [review]
[PASSED QA] Bug 10405: add IDs for custom regions

This patch adds unique IDs for:
opaccredits
opacheader
OPACMobileUserCSS
OpacNavBottom
OpacUserCSS
opacuserjs

This is an amended patch which includes the changes to CCSR which I
forgot to commit before. The patch does not add a unique ID for
opacheader to CCSR, since opacheader is positioned wrong.

This is most useful for previewing changes you make in the OPAC
preferences using the following javascript in your IntranetUserJS:

function showPreview(url) {
    $('#preview-loading').show();
    document.getElementById('opac-preview').src = url;
    $('#opac-preview').load(function () {
        $('#opac-preview').show();
        $('#region-opaccredits', $('#opac-preview').contents()).html($('#pref_opaccredits').val());
        $('#region-opacheader', $('#opac-preview').contents()).html($('#pref_opacheader').val());
        $('#opacmainuserblock', $('#opac-preview').contents()).html($('#pref_OpacMainUserBlock').val());
        $('#opacmainuserblockmobile', $('#opac-preview').contents()).html($('#pref_OpacMainUserBlockMobile').val());
        $('#region-opacnav', $('#opac-preview').contents()).html($('#pref_OpacNav').val());
        $('#region-opacnavbottom', $('#opac-preview').contents()).html($('#pref_OpacNavBottom').val());
        $('#opacrightsidebar', $('#opac-preview').contents()).html($('#pref_OpacNavRight').val());
        $('#noresultsfound', $('#opac-preview').contents()).html($('#pref_OPACNoResultsFound').val());
        $('#opacresultssidebar', $('#opac-preview').contents()).html($('#pref_OPACResultsSidebar').val());
        $('#region-opacusercss', $('#opac-preview').contents()).replaceWith('<style id="region-opacusercss" type="text/css">' + $('#pref_OPACUserCSS').val() + '</style>');

        $('#region-opacuserjs', $('#opac-preview').contents()).replaceWith('<script id="region-opacuserjs" type="text/javascript">' + $('#pref_opacuserjs').val() + '</script>');
        $('#preview-loading').hide();
    });
}

$(document).ready(function () {
    if ($('#pref_OpacNav').size() > 0) {
        $('#doc3').after('<div class="navbar navbar-fixed-bottom" style="z-index: 10000;"><div id="preview-pane" class="navbar-inner"><h4 style="float: left; margin-right: 2em;">Preview changes</h4><div class="btn-group" data-toggle="buttons-radio"><button type="button" class="btn" id="preview-main">Main page</button><button type="button" class="btn" id="preview-results">Results</button><button type="button" class="btn" id="preview-details">Details</button><button type="button" class="btn active" id="preview-hide">Hide</button></div><img id="preview-loading" style="display: none;" src="/intranet-tmpl/prog/img/loading-small.gif"><iframe id="opac-preview" style="height: 20em; width: 100%; display: none;"></iframe></div></div>');

        $('#preview-main').click(function () {
            showPreview('/cgi-bin/koha/opac/opac-main.pl');
        });
        $('#preview-results').click(function () {
            showPreview('/cgi-bin/koha/opac/opac-search.pl?idx=&q=pqf%3D%40attr+1%3D_ALLRECORDS+%40attr+2%3D103+%22%22&branch_group_limit=');
        });
        $('#preview-details').click(function () {
            showPreview('/cgi-bin/koha/opac/opac-detail.pl?biblionumber=1');
        });
        $('#preview-hide').click(function () {
            $('#opac-preview').hide();
            $('#preview-loading').hide();
        });
    }
});

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>

Note: The provided JavaScript didn't work for me and resulted in an
error in Firebug. Ater talking to Jared it seems like there is more needed
than the bit of Javascript so make this work, but it might be a good
starting point, so I am leaving it in the commit message.

Passes all tests and QA script.
Comment 6 Galen Charlton 2013-06-17 14:59:24 UTC
Just a general comment -- it may take me a bit longer than normal to test this; because this patch adds divs wrapping all of the user-editable sections -- whether the sysprefs have contents or not -- I'm going to be checking whether any CSS tweaks may be called for.
Comment 7 Galen Charlton 2013-08-14 22:00:29 UTC
Pushed to master.  Thanks, Jared!
Comment 8 M. Tompsett 2013-09-07 03:38:06 UTC
Could you explain koha-tmpl/opac-tmpl/prog/en/includes/opac-facets.inc changes?
I can understand removing the IF/END around it, but why did the content line disappear?! [% OPACResultsSidebar %] should be left as is.

I eyeballed the other changes and they all make sense and within scope.

I'll let someone else change the status of this bug, as perhaps there is a reason of which I am unaware.
Comment 9 Jared Camins-Esakov 2013-09-07 14:54:29 UTC
That looks like a mistake. Please feel free to open a new bug.
Comment 10 M. Tompsett 2013-09-07 16:35:47 UTC
Done. See Bug